<!--<app-page-title [heading]="heading" [subheading]="subheading" [icon]="icon"></app-page-title>-->
<div class="app-page-title">
    <div class="page-title-wrapper">
        <div class="page-title-heading">
            <div class="page-title-icon">
                <i class="icon {{icon}}"></i>
            </div>
            <div>
                Mantenimiento {{ seccion }}
                <div class="page-title-subheading">
                    {{subheading}}
                </div>
            </div>
        </div>
        <!--<div class="page-title-actions">
            <button type="button"
                    class="btn-shadow d-inline-flex align-items-center btn btn-success"
                    (click)="newRecord()">
                <fa class="mr-2" name="plus"></fa>
                Nuevo
            </button>
        </div>-->
    </div>
</div>

<div class="main-card mb-3 card">
    <div class="card-body">

        <kendo-grid [data]="dataGrid" [filter]="filter" [filterable]="true" (filterChange)="filterChange($event)"
                    [selectable]="true" [navigable]="true" [reorderable]="true" [resizable]="true" [sort]="sort"
                    [sortable]="true"
                    (sortChange)="sortChange($event)" [groupable]="true" [group]="groups"
                    (groupChange)="groupChange($event)" (edit)="editRow($event)"
                    (remove)="deleteRow($event)" style="height: 87vh">
            <ng-template kendoGridToolbarTemplate>
                <div class="row">
                    <div class="col d-flex justify-content-end">
                        <button (click)="newRow()" class="btn btn-success">
                            <i class="fa fa-plus mr-2"></i>Nuevo
                        </button>
                        <button (click)="printPDF()" class="btn btn-danger ml-1" [disabled]="!dataGrid.data">
                            <i class="far fa-file-pdf mr-2"></i>PDF
                        </button>
                    </div>
                </div>
            </ng-template>
            <div *ngFor="let item of gridFields">
                <kendo-grid-column [field]="item.field" [title]="item.title" [width]="item.width"
                                   [filterable]="item.filtro"></kendo-grid-column>
            </div>
            <kendo-grid-column field="Inactivo" title="Inactivo" width="120">
                <ng-template kendoGridFilterCellTemplate>
                    <kendo-switch (valueChange)="switchChange($event)" offLabel="No" [checked]="checked" onLabel="Si">
                    </kendo-switch>
                </ng-template>
                <ng-template kendoGridCellTemplate let-dataItem>
                    <input type="checkbox" [checked]="dataItem.Inactivo" disabled/>
                </ng-template>
            </kendo-grid-column>
            <kendo-grid-command-column title="Actions" width="190">
                <ng-template kendoGridCellTemplate let-isNew="isNew">
                    <button kendoGridEditCommand [primary]="true">Editar</button>
                    <button kendoGridRemoveCommand>Eliminar</button>
                </ng-template>
            </kendo-grid-command-column>
        </kendo-grid>
        <div class="animated fadeIn" *ngIf="flagShowForm">
            <kendo-window title="{{ seccion }}" width="600" (close)="close('window')">
                <form [formGroup]="myFormGroup" class="k-form">

                    <fieldset class="mb-4 mt-1">
                        <legend *ngIf="!flagEdit">Nuevo</legend>
                        <legend *ngIf="flagEdit">Editar</legend>
                        <div class="row">
                            <label class="k-form-field col-4">
                                <span>Ing. Agrp</span>
                                <input type="text" class="k-textbox" name="iagrp" [(ngModel)]="myFormGroup.value.iagrp"
                                       formControlName="iagrp"
                                       maxlength="3"/>
                            </label>
                            <label class="k-form-field col-8">
                                <span>Descripción</span>
                                <input type="text" class="k-textbox" name="cDesc" [(ngModel)]="myFormGroup.value.cDesc"
                                       formControlName="cDesc"
                                       maxlength="30">
                            </label>
                        </div>
                        <div class="row">
                            <label class="k-form-field col-12">
                                <span>Razón Social</span>
                                <input type="text" class="k-textbox" name="cRSocial"
                                       [(ngModel)]="myFormGroup.value.cRSocial"
                                       formControlName="cRSocial"/>
                            </label>
                        </div>
                        <div class="row">
                            <label class="k-form-field col-8">
                                <span>RFC</span>
                                <input type="text" class="k-textbox" name="RFC" [(ngModel)]="myFormGroup.value.RFC"
                                       formControlName="RFC"/>
                            </label>
                            <label class="k-form-field col-4">
                                <span>AC (Ap. Contable)</span>
                                <input type="number" class="k-textbox" name="AC" [(ngModel)]="myFormGroup.value.AC"
                                       formControlName="AC" min="0" max="99"/>
                            </label>
                        </div>
                        <div class="row">
                            <label class="k-form-field col-12">
                                <span>Dirección</span>
                                <input type="text" class="k-textbox" name="cDireccion1"
                                       [(ngModel)]="myFormGroup.value.cDireccion1"
                                       formControlName="cDireccion1" maxlength="40">
                            </label>
                            <label class="k-form-field col-12">
                                <input type="text" class="k-textbox" name="cDireccion2"
                                       [(ngModel)]="myFormGroup.value.cDireccion2"
                                       formControlName="cDireccion2" maxlength="40">
                            </label>
                        </div>
                        <div class="row">
                            <label class="k-form-field col-4">
                                <span>Exterior</span>
                                <input type="text" class="k-textbox" name="Exterior"
                                       [(ngModel)]="myFormGroup.value.Exterior"
                                       formControlName="Exterior"/>
                            </label>
                            <label class="k-form-field col-4">
                                <span>Interior</span>
                                <input type="text" class="k-textbox" name="Interior"
                                       [(ngModel)]="myFormGroup.value.Interior"
                                       formControlName="Interior"/>
                            </label>
                            <label class="k-form-field col-4">
                                <span>CP</span>
                                <input type="text" class="k-textbox" name="cCP" [(ngModel)]="myFormGroup.value.cCP"
                                       formControlName="cCP"/>
                            </label>
                        </div>
                        <div class="row">
                            <label class="k-form-field col-6">
                                <span>Ciudad</span>
                                <input type="text" class="k-textbox" name="cCiudad"
                                       [(ngModel)]="myFormGroup.value.cCiudad"
                                       formControlName="cCiudad"/>
                            </label>
                            <label class="k-form-field col-6">
                                <span>Estado</span>
                                <kendo-combobox [data]="dsEstados" [(ngModel)]="myFormGroup.value.Estado"
                                                [textField]="'enombre'"
                                                [valueField]="'Estado'" [filterable]="true" formControlName="Estado"
                                                name="Estado" class="w-100">
                                </kendo-combobox>
                            </label>
                        </div>
                    </fieldset>
                    <fieldset class="mb-4 mt-1">
                        <legend>Expedición y Régimen Fiscal</legend>
                        <div class="row">
                            <label class="k-form-field col-12">
                                <span>Dirección</span>
                                <input type="text" class="k-textbox" name="eDireccion1"
                                       [(ngModel)]="myFormGroup.value.eDireccion1"
                                       formControlName="eDireccion1" maxlength="40">
                            </label>
                            <label class="k-form-field col-12">
                                <input type="text" class="k-textbox" name="eDireccion2"
                                       [(ngModel)]="myFormGroup.value.eDireccion2"
                                       formControlName="eDireccion2" maxlength="40">
                            </label>
                        </div>
                        <div class="row">
                            <label class="k-form-field col-4">
                                <span>Exterior</span>
                                <input type="text" class="k-textbox" name="eExterior"
                                       [(ngModel)]="myFormGroup.value.eExterior"
                                       formControlName="eExterior"/>
                            </label>
                            <label class="k-form-field col-4">
                                <span>Interior</span>
                                <input type="text" class="k-textbox" name="eInterior"
                                       [(ngModel)]="myFormGroup.value.eInterior"
                                       formControlName="eInterior"/>
                            </label>
                            <label class="k-form-field col-4">
                                <span>CP</span>
                                <input type="text" class="k-textbox" name="eCP" [(ngModel)]="myFormGroup.value.eCP"
                                       formControlName="eCP"/>
                            </label>
                        </div>
                        <div class="row">
                            <label class="k-form-field col-6">
                                <span>Ciudad</span>
                                <input type="text" class="k-textbox" name="eCiudad"
                                       [(ngModel)]="myFormGroup.value.eCiudad"
                                       formControlName="eCiudad"/>
                            </label>
                            <label class="k-form-field col-6">
                                <span>Estado</span>
                                <kendo-combobox [data]="dsEstados" [(ngModel)]="myFormGroup.value.eEstado"
                                                [textField]="'enombre'"
                                                [valueField]="'Estado'" [filterable]="true" formControlName="eEstado"
                                                name="eEstado" class="w-100">
                                </kendo-combobox>
                            </label>
                        </div>
                        <div class="row">
                            <label class="k-form-field col-12">
                                <span>Régimen Fiscal</span>
                                <input type="text" class="k-textbox" name="eRFT" [(ngModel)]="myFormGroup.value.eRFT"
                                       formControlName="eRFT" maxlength="100">
                            </label>
                        </div>
                    </fieldset>

                    <div class="text-right">
                        <button type="button" class="k-button" (click)="closeForm()">Cancel</button>
                        <button type="button" class="k-button k-primary ml-1" [disabled]="myFormGroup.invalid"
                                (click)="guardarForm()">Guardar
                        </button>
                    </div>

                </form>
            </kendo-window>
        </div>

    </div>
</div>
